{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/static/CSS/bootstrap.min.css">
    <link rel="stylesheet" href="/static/CSS/bootstrap-icons.css">
    <script src="/static/JS/yes.js"></script>
    <script>
        setTimeout(() => {
            document.querySelector('.footer').style.display = 'block'
        }, 1000)

    </script>

    <link rel="stylesheet" href="/static/CSS/style.css">
    {% block title %}
    {% endblock %}
    <nav>
        <div class="menu">
            <input type="checkbox" id="check">
            <div class="logo">
                <a href="#">cPhilosophy</a>
                <img src="/static/IMG/Untitled.png" alt="logo" class="imlogo">
            </div>
            <ul>
                <label class="btn cancel" for="check"><i class="fas fa-times"></i></label>
                <div class="dropdown">
                    <a href="{% url 'home' %}" id="home">Home</a>
                </div>
                <br>
                <div class="dropdown">
                    <a class="dropbtn">Products</a>
                    <div class="dropdown-content">
                        <a href="{% url 'computer_science' 1 %}">Computer Science</a>
                        <a href="{% url 'computer_science' 2 %}">Philosophy</a>
                        <a href="{% url 'computer_science' 3 %}">Classical Music</a>
                    </div>
                </div>
                <br>
                <div class="dropdown">
                    <a class="dropbtn" href="{% url 'cart' %}">Cart</a>
                </div>
                <br>
                {% if perms.Products.can_view and perms.Category.can_view %}
                    <div class="dropdown">
                        <a class="dropbtn">Admin Panel</a>
                        <div class="dropdown-content">
                            <a href="{% url 'product_view' %}">Modify Products</a>
                            <a href="{% url 'category_view' %}">Modify Categories</a>
                        </div>
                    </div> <br>
                {% endif %}
                {% if request.user.is_authenticated %}
                    <div class="dropdown">
                        <a class="dropbtn">{{ request.user }}</a>
                        <div class="dropdown-content">
                            <a href="{% url 'profile' pk=request.user.id %}">
                                View Profile</a>
                            <a href="{% url 'logout' %}">Logout</a>
                        </div>
                    </div>
                {% else %}
                    <a href="{% url 'login' %}">Login</a>
                {% endif %}
            </ul>
            <form action="{% url 'search_results' %}" method="get">
                {% csrf_token %}

                <label>
                    {#                     <img alt="search" src="/static/IMG/downloadsearch.png"  id="ic">#}
                    <input type="text" placeholder="What are you looking for?" class="search" name="q">
                </label>
            </form>
            <div class="wrap">
                <label for="check" class="btn bars"><i class="fas fa-bars"></i></label>
            </div>
        </div>
    </nav>
</head>
<body>
{% block cart %}
{% endblock %}
<div class="wrapper">
    {% block success_tag %}
    {% endblock %}
    <div class="content-area">
        {% block cont2 %}
        {% endblock %}
        {% block content %}
        {% endblock %}
    </div>
</div>
<div class="footer">
    <footer>
        <div class="firstPart">
            <a href="{% url 'help' %}">Help</a>
            <a href="{% url 'privacy' %}" class="ad">Privacy</a><Br>
            <a href="{% url 'cookies' %}" class="ad" id="cookies">Cookies</a>
        </div>
        <div class="secondPart">
            <a href="{% url 'terms' %}" class="ad">Terms</a>
            <a href="{% url 'business' %}" class="ad">Business</a>
            <a href="{% url 'ads' %}" class="ad">Advertising</a>
        </div>
    </footer>
</div>
</body>
<script src="/static/JS/jquery.min.js"></script>
<script src="/static/JS/function.js"></script>
</html>
